Properly installing Bioperl - Ubuntu - Git

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Properly installing Bioperl - Ubuntu - Git

Shane McCoy
Hello! 
Not too familiar w/ Bioperl and want to make sure i've properly installed on my VM ubuntu 14.4 server w/ git. 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get check
sudo apt-get autoclean

sudo apt-get install build-essential git gcc
sudo apt-get install libexpat1 expat
sudo apt-get install libgd-dev  (unable to locate libgd recommended on gmod.org/wiki/BioPerl Dependencies Outside perl)
sudo apt-get install libssl-dev
sudo apt-get install libpq-dev
sudo apt-get install libdb-dev libperl-dev
sudo apt-get install libgd-gd2-perl
sudo apt-get install libxml2
sudo apt-get install libxml2-dev

Installed local::lib manually for perl modules. Set environment path 
echo '[ $SHLVL -eq 1 ] && eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >>~/.bashrc

cpan> install Bundle::CPAN (archive::zip failed? pff!) 
cpan> install Bundle::BioPerl
Failed during this command:
 LDS/AcePerl-1.92.tar.gz                      : make_test NO
 CJFIELDS/Bio-ASN1-EntrezGene-1.70.tar.gz     : make_test NO
 CAPTTOFU/DBD-mysql-4.029.tar.gz              : writemakefile NO '/usr/bin/perl Makefile.PL 
and several more. missing packages etc and successfully installed except the above 3. Don't think i need those.

sudo apt-get install libgd-gd2-perl

cd bioperl-live 
 
perl Build.PL 
--fails - needs more modules


Configuring C/CJ/CJFIELDS/BioPerl-1.6.924.tar.gz with Build.PL
Checking prerequisites...
  recommends:

Algorithm::Munkres 
Array::Compare 
Bio::Phylo 
Convert::Binary::C 
GraphViz
HTML::TableExtract is not installed
PostScript::TextBlock is not installed
SOAP::Lite 
Net::SSLeay Crypt::SSLeay IO::Socket::SSL
Sort::Naturally 
XML::LibXML 
DBD::Pg 
DBD::SQLite
(all above installed via CPAN)

Checking optional features...
EntrezGene............disabled
  requires:
    ! Bio::ASN1::EntrezGene is not installed
 - starts installing bioperl 
i let it run and it installed Bioperl fine via CPAN.  build OK. 
Installed bio::asn1::entrezgene & bio::root::build
perl Build.PL
now needs Inline::C...
cpan>install Inline::C
 cd bioperl-live 

 perl Build.PL 
 -- fails. missing Manifest?
Build manifest
perl Build.PL --still fails
perl Build -- works
./Build test 
 --PASS
sudo ./Build install 

Installed / passed tests OK. 
Added;
export PERL5LIB="$HOME/bioperl-live:$PERL5LIB"
to .bashrc

So i've installed via CPAN which i didn't really want, but couldn't run Build.PL w/o prereq Bio::ASN1::EntrezGene which starts installing bioperl. What should i have done differently? 
i still did Build w/ Git clone, but when i check Version i get 1.006924. I thought the bioperl-live version was 1.006925? i set the environment variable in bashrc for bioperl-live. 
Ok, thanks for your time! Just want to make sure i'm doing this correctly. 
Shane

_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l
Reply | Threaded
Open this post in threaded view
|

Re: Properly installing Bioperl - Ubuntu - Git

Fields, Christopher J
Bundle::BioPerl is out of date.  I’ll have to check in with Chris Dagdigian to see if we can update that, as it’s not on github.

Unless you are using NCBI and the ‘gene’ database, you won’t need Bio::ASN1::EntrezGene.  The latest CPAN releases for both should still resolve the circular dependency though; not sure why you are running into this problem.

The github master version should technically be ‘1.007000_001’ or similar, not ‘1.006925’.   I’ll have a look at that.

chris

On Jan 13, 2015, at 5:23 PM, Shane McCoy <[hidden email]> wrote:

Hello! 
Not too familiar w/ Bioperl and want to make sure i've properly installed on my VM ubuntu 14.4 server w/ git. 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get check
sudo apt-get autoclean

sudo apt-get install build-essential git gcc
sudo apt-get install libexpat1 expat
sudo apt-get install libgd-dev  (unable to locate libgd recommended on gmod.org/wiki/BioPerl Dependencies Outside perl)
sudo apt-get install libssl-dev
sudo apt-get install libpq-dev
sudo apt-get install libdb-dev libperl-dev
sudo apt-get install libgd-gd2-perl
sudo apt-get install libxml2
sudo apt-get install libxml2-dev

Installed local::lib manually for perl modules. Set environment path 
echo '[ $SHLVL -eq 1 ] && eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >>~/.bashrc

cpan> install Bundle::CPAN (archive::zip failed? pff!) 
cpan> install Bundle::BioPerl
Failed during this command:
 LDS/AcePerl-1.92.tar.gz                      : make_test NO
 CJFIELDS/Bio-ASN1-EntrezGene-1.70.tar.gz     : make_test NO
 CAPTTOFU/DBD-mysql-4.029.tar.gz              : writemakefile NO '/usr/bin/perl Makefile.PL 
and several more. missing packages etc and successfully installed except the above 3. Don't think i need those.

sudo apt-get install libgd-gd2-perl

cd bioperl-live 
 
perl Build.PL 
--fails - needs more modules


Configuring C/CJ/CJFIELDS/BioPerl-1.6.924.tar.gz with Build.PL
Checking prerequisites...
  recommends:

Algorithm::Munkres 
Array::Compare 
Bio::Phylo 
Convert::Binary::C 
GraphViz
HTML::TableExtract is not installed
PostScript::TextBlock is not installed
SOAP::Lite 
Net::SSLeay Crypt::SSLeay IO::Socket::SSL
Sort::Naturally 
XML::LibXML 
DBD::Pg 
DBD::SQLite
(all above installed via CPAN)

Checking optional features...
EntrezGene............disabled
  requires:
    ! Bio::ASN1::EntrezGene is not installed
 - starts installing bioperl 
i let it run and it installed Bioperl fine via CPAN.  build OK. 
Installed bio::asn1::entrezgene & bio::root::build
perl Build.PL
now needs Inline::C...
cpan>install Inline::C
 cd bioperl-live 

 perl Build.PL 
 -- fails. missing Manifest?
Build manifest
perl Build.PL --still fails
perl Build -- works
./Build test 
 --PASS
sudo ./Build install 

Installed / passed tests OK. 
Added;
export PERL5LIB="$HOME/bioperl-live:$PERL5LIB"
to .bashrc

So i've installed via CPAN which i didn't really want, but couldn't run Build.PL w/o prereq Bio::ASN1::EntrezGene which starts installing bioperl. What should i have done differently? 
i still did Build w/ Git clone, but when i check Version i get 1.006924. I thought the bioperl-live version was 1.006925? i set the environment variable in bashrc for bioperl-live. 
Ok, thanks for your time! Just want to make sure i'm doing this correctly. 
Shane
_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l


_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l
Reply | Threaded
Open this post in threaded view
|

Re: Properly installing Bioperl - Ubuntu - Git

Fields, Christopher J
Just an update on this; I contacted Chris D. and Bundle::BioPerl is now on github:


I’ll work on pushing a new release up to CPAN, will post back when that is done.

chris (f)

On Jan 14, 2015, at 2:14 PM, Fields, Christopher J <[hidden email]> wrote:

Bundle::BioPerl is out of date.  I’ll have to check in with Chris Dagdigian to see if we can update that, as it’s not on github.

Unless you are using NCBI and the ‘gene’ database, you won’t need Bio::ASN1::EntrezGene.  The latest CPAN releases for both should still resolve the circular dependency though; not sure why you are running into this problem.

The github master version should technically be ‘1.007000_001’ or similar, not ‘1.006925’.   I’ll have a look at that.

chris

On Jan 13, 2015, at 5:23 PM, Shane McCoy <[hidden email]> wrote:

Hello! 
Not too familiar w/ Bioperl and want to make sure i've properly installed on my VM ubuntu 14.4 server w/ git. 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get check
sudo apt-get autoclean

sudo apt-get install build-essential git gcc
sudo apt-get install libexpat1 expat
sudo apt-get install libgd-dev  (unable to locate libgd recommended on gmod.org/wiki/BioPerl Dependencies Outside perl)
sudo apt-get install libssl-dev
sudo apt-get install libpq-dev
sudo apt-get install libdb-dev libperl-dev
sudo apt-get install libgd-gd2-perl
sudo apt-get install libxml2
sudo apt-get install libxml2-dev

Installed local::lib manually for perl modules. Set environment path 
echo '[ $SHLVL -eq 1 ] && eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >>~/.bashrc

cpan> install Bundle::CPAN (archive::zip failed? pff!) 
cpan> install Bundle::BioPerl
Failed during this command:
 LDS/AcePerl-1.92.tar.gz                      : make_test NO
 CJFIELDS/Bio-ASN1-EntrezGene-1.70.tar.gz     : make_test NO
 CAPTTOFU/DBD-mysql-4.029.tar.gz              : writemakefile NO '/usr/bin/perl Makefile.PL 
and several more. missing packages etc and successfully installed except the above 3. Don't think i need those.

sudo apt-get install libgd-gd2-perl

cd bioperl-live 
 
perl Build.PL 
--fails - needs more modules


Configuring C/CJ/CJFIELDS/BioPerl-1.6.924.tar.gz with Build.PL
Checking prerequisites...
  recommends:

Algorithm::Munkres 
Array::Compare 
Bio::Phylo 
Convert::Binary::C 
GraphViz
HTML::TableExtract is not installed
PostScript::TextBlock is not installed
SOAP::Lite 
Net::SSLeay Crypt::SSLeay IO::Socket::SSL
Sort::Naturally 
XML::LibXML 
DBD::Pg 
DBD::SQLite
(all above installed via CPAN)

Checking optional features...
EntrezGene............disabled
  requires:
    ! Bio::ASN1::EntrezGene is not installed
 - starts installing bioperl 
i let it run and it installed Bioperl fine via CPAN.  build OK. 
Installed bio::asn1::entrezgene & bio::root::build
perl Build.PL
now needs Inline::C...
cpan>install Inline::C
 cd bioperl-live 

 perl Build.PL 
 -- fails. missing Manifest?
Build manifest
perl Build.PL --still fails
perl Build -- works
./Build test 
 --PASS
sudo ./Build install 

Installed / passed tests OK. 
Added;
export PERL5LIB="$HOME/bioperl-live:$PERL5LIB"
to .bashrc

So i've installed via CPAN which i didn't really want, but couldn't run Build.PL w/o prereq Bio::ASN1::EntrezGene which starts installing bioperl. What should i have done differently? 
i still did Build w/ Git clone, but when i check Version i get 1.006924. I thought the bioperl-live version was 1.006925? i set the environment variable in bashrc for bioperl-live. 
Ok, thanks for your time! Just want to make sure i'm doing this correctly. 
Shane
_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l

_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l


_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l
Reply | Threaded
Open this post in threaded view
|

Re: Properly installing Bioperl - Ubuntu - Git

Shane McCoy
Thanks Chris!
appreciate you looking into this
shane

On Thu, Jan 15, 2015 at 11:32 AM, Fields, Christopher J <[hidden email]> wrote:
Just an update on this; I contacted Chris D. and Bundle::BioPerl is now on github:


I’ll work on pushing a new release up to CPAN, will post back when that is done.

chris (f)

On Jan 14, 2015, at 2:14 PM, Fields, Christopher J <[hidden email]> wrote:

Bundle::BioPerl is out of date.  I’ll have to check in with Chris Dagdigian to see if we can update that, as it’s not on github.

Unless you are using NCBI and the ‘gene’ database, you won’t need Bio::ASN1::EntrezGene.  The latest CPAN releases for both should still resolve the circular dependency though; not sure why you are running into this problem.

The github master version should technically be ‘1.007000_001’ or similar, not ‘1.006925’.   I’ll have a look at that.

chris

On Jan 13, 2015, at 5:23 PM, Shane McCoy <[hidden email]> wrote:

Hello! 
Not too familiar w/ Bioperl and want to make sure i've properly installed on my VM ubuntu 14.4 server w/ git. 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get check
sudo apt-get autoclean

sudo apt-get install build-essential git gcc
sudo apt-get install libexpat1 expat
sudo apt-get install libgd-dev  (unable to locate libgd recommended on gmod.org/wiki/BioPerl Dependencies Outside perl)
sudo apt-get install libssl-dev
sudo apt-get install libpq-dev
sudo apt-get install libdb-dev libperl-dev
sudo apt-get install libgd-gd2-perl
sudo apt-get install libxml2
sudo apt-get install libxml2-dev

Installed local::lib manually for perl modules. Set environment path 
echo '[ $SHLVL -eq 1 ] && eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >>~/.bashrc

cpan> install Bundle::CPAN (archive::zip failed? pff!) 
cpan> install Bundle::BioPerl
Failed during this command:
 LDS/AcePerl-1.92.tar.gz                      : make_test NO
 CJFIELDS/Bio-ASN1-EntrezGene-1.70.tar.gz     : make_test NO
 CAPTTOFU/DBD-mysql-4.029.tar.gz              : writemakefile NO '/usr/bin/perl Makefile.PL 
and several more. missing packages etc and successfully installed except the above 3. Don't think i need those.

sudo apt-get install libgd-gd2-perl

cd bioperl-live 
 
perl Build.PL 
--fails - needs more modules


Configuring C/CJ/CJFIELDS/BioPerl-1.6.924.tar.gz with Build.PL
Checking prerequisites...
  recommends:

Algorithm::Munkres 
Array::Compare 
Bio::Phylo 
Convert::Binary::C 
GraphViz
HTML::TableExtract is not installed
PostScript::TextBlock is not installed
SOAP::Lite 
Net::SSLeay Crypt::SSLeay IO::Socket::SSL
Sort::Naturally 
XML::LibXML 
DBD::Pg 
DBD::SQLite
(all above installed via CPAN)

Checking optional features...
EntrezGene............disabled
  requires:
    ! Bio::ASN1::EntrezGene is not installed
 - starts installing bioperl 
i let it run and it installed Bioperl fine via CPAN.  build OK. 
Installed bio::asn1::entrezgene & bio::root::build
perl Build.PL
now needs Inline::C...
cpan>install Inline::C
 cd bioperl-live 

 perl Build.PL 
 -- fails. missing Manifest?
Build manifest
perl Build.PL --still fails
perl Build -- works
./Build test 
 --PASS
sudo ./Build install 

Installed / passed tests OK. 
Added;
export PERL5LIB="$HOME/bioperl-live:$PERL5LIB"
to .bashrc

So i've installed via CPAN which i didn't really want, but couldn't run Build.PL w/o prereq Bio::ASN1::EntrezGene which starts installing bioperl. What should i have done differently? 
i still did Build w/ Git clone, but when i check Version i get 1.006924. I thought the bioperl-live version was 1.006925? i set the environment variable in bashrc for bioperl-live. 
Ok, thanks for your time! Just want to make sure i'm doing this correctly. 
Shane
_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l

_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l



_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l
Reply | Threaded
Open this post in threaded view
|

Re: Properly installing Bioperl - Ubuntu - Git

Liliana Maria Cano Mogrovejo
Hi Chris,

Thanks for looking into this! I am also experiencing the same problem encountered by Shane.

Thanks,

Lili

Liliana Cano, PhD.
Postdoctoral Research Associate
Dept. Plant Pathology
North Carolina State University
Raleigh, NC 27695, USA.
Phone: +1-919-513-1280
Mobile: +1-919-703-6147


On Jan 16, 2015, at 11:30 AM, Shane McCoy <[hidden email]> wrote:

Thanks Chris!
appreciate you looking into this
shane

On Thu, Jan 15, 2015 at 11:32 AM, Fields, Christopher J <[hidden email]> wrote:
Just an update on this; I contacted Chris D. and Bundle::BioPerl is now on github:


I’ll work on pushing a new release up to CPAN, will post back when that is done.

chris (f)

On Jan 14, 2015, at 2:14 PM, Fields, Christopher J <[hidden email]> wrote:

Bundle::BioPerl is out of date.  I’ll have to check in with Chris Dagdigian to see if we can update that, as it’s not on github.

Unless you are using NCBI and the ‘gene’ database, you won’t need Bio::ASN1::EntrezGene.  The latest CPAN releases for both should still resolve the circular dependency though; not sure why you are running into this problem.

The github master version should technically be ‘1.007000_001’ or similar, not ‘1.006925’.   I’ll have a look at that.

chris

On Jan 13, 2015, at 5:23 PM, Shane McCoy <[hidden email]> wrote:

Hello! 
Not too familiar w/ Bioperl and want to make sure i've properly installed on my VM ubuntu 14.4 server w/ git. 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get check
sudo apt-get autoclean

sudo apt-get install build-essential git gcc
sudo apt-get install libexpat1 expat
sudo apt-get install libgd-dev  (unable to locate libgd recommended on gmod.org/wiki/BioPerl Dependencies Outside perl)
sudo apt-get install libssl-dev
sudo apt-get install libpq-dev
sudo apt-get install libdb-dev libperl-dev
sudo apt-get install libgd-gd2-perl
sudo apt-get install libxml2
sudo apt-get install libxml2-dev

Installed local::lib manually for perl modules. Set environment path 
echo '[ $SHLVL -eq 1 ] && eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >>~/.bashrc

cpan> install Bundle::CPAN (archive::zip failed? pff!) 
cpan> install Bundle::BioPerl
Failed during this command:
 LDS/AcePerl-1.92.tar.gz                      : make_test NO
 CJFIELDS/Bio-ASN1-EntrezGene-1.70.tar.gz     : make_test NO
 CAPTTOFU/DBD-mysql-4.029.tar.gz              : writemakefile NO '/usr/bin/perl Makefile.PL 
and several more. missing packages etc and successfully installed except the above 3. Don't think i need those.

sudo apt-get install libgd-gd2-perl

cd bioperl-live 
 
perl Build.PL 
--fails - needs more modules


Configuring C/CJ/CJFIELDS/BioPerl-1.6.924.tar.gz with Build.PL
Checking prerequisites...
  recommends:

Algorithm::Munkres 
Array::Compare 
Bio::Phylo 
Convert::Binary::C 
GraphViz
HTML::TableExtract is not installed
PostScript::TextBlock is not installed
SOAP::Lite 
Net::SSLeay Crypt::SSLeay IO::Socket::SSL
Sort::Naturally 
XML::LibXML 
DBD::Pg 
DBD::SQLite
(all above installed via CPAN)

Checking optional features...
EntrezGene............disabled
  requires:
    ! Bio::ASN1::EntrezGene is not installed
 - starts installing bioperl 
i let it run and it installed Bioperl fine via CPAN.  build OK. 
Installed bio::asn1::entrezgene & bio::root::build
perl Build.PL
now needs Inline::C...
cpan>install Inline::C
 cd bioperl-live 

 perl Build.PL 
 -- fails. missing Manifest?
Build manifest
perl Build.PL --still fails
perl Build -- works
./Build test 
 --PASS
sudo ./Build install 

Installed / passed tests OK. 
Added;
export PERL5LIB="$HOME/bioperl-live:$PERL5LIB"
to .bashrc

So i've installed via CPAN which i didn't really want, but couldn't run Build.PL w/o prereq Bio::ASN1::EntrezGene which starts installing bioperl. What should i have done differently? 
i still did Build w/ Git clone, but when i check Version i get 1.006924. I thought the bioperl-live version was 1.006925? i set the environment variable in bashrc for bioperl-live. 
Ok, thanks for your time! Just want to make sure i'm doing this correctly. 
Shane
_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l

_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l


_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l


_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l
Reply | Threaded
Open this post in threaded view
|

Re: Properly installing Bioperl - Ubuntu - Git

Fields, Christopher J
I’ve uploaded a new version of Bundle::BioPerl to CPAN (this removes Ace and Bio::ASN1::EntrezGene).  

One key thing: the ‘master’ branch on github is *not* the branch you want to check out from if you want stable code; you need the ‘v1.6.x’ branch.  We’re splitting out repositories from the main distribution (about 4 or so now), so if you try to run a typical installation it may not work as Bio::Root will be missing.  

chris

On Jan 16, 2015, at 10:42 AM, Liliana Maria Cano Mogrovejo <[hidden email]> wrote:

Hi Chris,

Thanks for looking into this! I am also experiencing the same problem encountered by Shane.

Thanks,

Lili

Liliana Cano, PhD.
Postdoctoral Research Associate
Dept. Plant Pathology
North Carolina State University
Raleigh, NC 27695, USA.
Phone: +1-919-513-1280
Mobile: +1-919-703-6147


On Jan 16, 2015, at 11:30 AM, Shane McCoy <[hidden email]> wrote:

Thanks Chris!
appreciate you looking into this
shane

On Thu, Jan 15, 2015 at 11:32 AM, Fields, Christopher J <[hidden email]> wrote:
Just an update on this; I contacted Chris D. and Bundle::BioPerl is now on github:


I’ll work on pushing a new release up to CPAN, will post back when that is done.

chris (f)

On Jan 14, 2015, at 2:14 PM, Fields, Christopher J <[hidden email]> wrote:

Bundle::BioPerl is out of date.  I’ll have to check in with Chris Dagdigian to see if we can update that, as it’s not on github.

Unless you are using NCBI and the ‘gene’ database, you won’t need Bio::ASN1::EntrezGene.  The latest CPAN releases for both should still resolve the circular dependency though; not sure why you are running into this problem.

The github master version should technically be ‘1.007000_001’ or similar, not ‘1.006925’.   I’ll have a look at that.

chris

On Jan 13, 2015, at 5:23 PM, Shane McCoy <[hidden email]> wrote:

Hello! 
Not too familiar w/ Bioperl and want to make sure i've properly installed on my VM ubuntu 14.4 server w/ git. 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get check
sudo apt-get autoclean

sudo apt-get install build-essential git gcc
sudo apt-get install libexpat1 expat
sudo apt-get install libgd-dev  (unable to locate libgd recommended on gmod.org/wiki/BioPerl Dependencies Outside perl)
sudo apt-get install libssl-dev
sudo apt-get install libpq-dev
sudo apt-get install libdb-dev libperl-dev
sudo apt-get install libgd-gd2-perl
sudo apt-get install libxml2
sudo apt-get install libxml2-dev

Installed local::lib manually for perl modules. Set environment path 
echo '[ $SHLVL -eq 1 ] && eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >>~/.bashrc

cpan> install Bundle::CPAN (archive::zip failed? pff!) 
cpan> install Bundle::BioPerl
Failed during this command:
 LDS/AcePerl-1.92.tar.gz                      : make_test NO
 CJFIELDS/Bio-ASN1-EntrezGene-1.70.tar.gz     : make_test NO
 CAPTTOFU/DBD-mysql-4.029.tar.gz              : writemakefile NO '/usr/bin/perl Makefile.PL 
and several more. missing packages etc and successfully installed except the above 3. Don't think i need those.

sudo apt-get install libgd-gd2-perl

cd bioperl-live 
 
perl Build.PL 
--fails - needs more modules


Configuring C/CJ/CJFIELDS/BioPerl-1.6.924.tar.gz with Build.PL
Checking prerequisites...
  recommends:

Algorithm::Munkres 
Array::Compare 
Bio::Phylo 
Convert::Binary::C 
GraphViz
HTML::TableExtract is not installed
PostScript::TextBlock is not installed
SOAP::Lite 
Net::SSLeay Crypt::SSLeay IO::Socket::SSL
Sort::Naturally 
XML::LibXML 
DBD::Pg 
DBD::SQLite
(all above installed via CPAN)

Checking optional features...
EntrezGene............disabled
  requires:
    ! Bio::ASN1::EntrezGene is not installed
 - starts installing bioperl 
i let it run and it installed Bioperl fine via CPAN.  build OK. 
Installed bio::asn1::entrezgene & bio::root::build
perl Build.PL
now needs Inline::C...
cpan>install Inline::C
 cd bioperl-live 

 perl Build.PL 
 -- fails. missing Manifest?
Build manifest
perl Build.PL --still fails
perl Build -- works
./Build test 
 --PASS
sudo ./Build install 

Installed / passed tests OK. 
Added;
export PERL5LIB="$HOME/bioperl-live:$PERL5LIB"
to .bashrc

So i've installed via CPAN which i didn't really want, but couldn't run Build.PL w/o prereq Bio::ASN1::EntrezGene which starts installing bioperl. What should i have done differently? 
i still did Build w/ Git clone, but when i check Version i get 1.006924. I thought the bioperl-live version was 1.006925? i set the environment variable in bashrc for bioperl-live. 
Ok, thanks for your time! Just want to make sure i'm doing this correctly. 
Shane
_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l

_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l


_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l



_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l
Reply | Threaded
Open this post in threaded view
|

Re: Properly installing Bioperl - Ubuntu - Git

Shane McCoy
Hey Chris! 
Thanks for the update. I don't believe i'm using the master, i used: git clone <a rel="nofollow" class="" href="git://github.com/bioperl/bioperl-live.git" style="font-family:monospace,&#39;Courier New&#39;;font-size:13px;line-height:1.3em;color:rgb(102,51,102);padding-right:13px">git://github.com/bioperl/bioperl-live.git
So the version is correct then? 1.006924 for the above git clone. 
thanks for your time!
shane

On Fri, Jan 16, 2015 at 3:30 PM, Fields, Christopher J <[hidden email]> wrote:
I’ve uploaded a new version of Bundle::BioPerl to CPAN (this removes Ace and Bio::ASN1::EntrezGene).  

One key thing: the ‘master’ branch on github is *not* the branch you want to check out from if you want stable code; you need the ‘v1.6.x’ branch.  We’re splitting out repositories from the main distribution (about 4 or so now), so if you try to run a typical installation it may not work as Bio::Root will be missing.  

chris

On Jan 16, 2015, at 10:42 AM, Liliana Maria Cano Mogrovejo <[hidden email]> wrote:

Hi Chris,

Thanks for looking into this! I am also experiencing the same problem encountered by Shane.

Thanks,

Lili

Liliana Cano, PhD.
Postdoctoral Research Associate
Dept. Plant Pathology
North Carolina State University
Raleigh, NC 27695, USA.
Phone: <a href="tel:%2B1-919-513-1280" value="+19195131280" target="_blank">+1-919-513-1280
Mobile: <a href="tel:%2B1-919-703-6147" value="+19197036147" target="_blank">+1-919-703-6147


On Jan 16, 2015, at 11:30 AM, Shane McCoy <[hidden email]> wrote:

Thanks Chris!
appreciate you looking into this
shane

On Thu, Jan 15, 2015 at 11:32 AM, Fields, Christopher J <[hidden email]> wrote:
Just an update on this; I contacted Chris D. and Bundle::BioPerl is now on github:


I’ll work on pushing a new release up to CPAN, will post back when that is done.

chris (f)

On Jan 14, 2015, at 2:14 PM, Fields, Christopher J <[hidden email]> wrote:

Bundle::BioPerl is out of date.  I’ll have to check in with Chris Dagdigian to see if we can update that, as it’s not on github.

Unless you are using NCBI and the ‘gene’ database, you won’t need Bio::ASN1::EntrezGene.  The latest CPAN releases for both should still resolve the circular dependency though; not sure why you are running into this problem.

The github master version should technically be ‘1.007000_001’ or similar, not ‘1.006925’.   I’ll have a look at that.

chris

On Jan 13, 2015, at 5:23 PM, Shane McCoy <[hidden email]> wrote:

Hello! 
Not too familiar w/ Bioperl and want to make sure i've properly installed on my VM ubuntu 14.4 server w/ git. 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get check
sudo apt-get autoclean

sudo apt-get install build-essential git gcc
sudo apt-get install libexpat1 expat
sudo apt-get install libgd-dev  (unable to locate libgd recommended on gmod.org/wiki/BioPerl Dependencies Outside perl)
sudo apt-get install libssl-dev
sudo apt-get install libpq-dev
sudo apt-get install libdb-dev libperl-dev
sudo apt-get install libgd-gd2-perl
sudo apt-get install libxml2
sudo apt-get install libxml2-dev

Installed local::lib manually for perl modules. Set environment path 
echo '[ $SHLVL -eq 1 ] && eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >>~/.bashrc

cpan> install Bundle::CPAN (archive::zip failed? pff!) 
cpan> install Bundle::BioPerl
Failed during this command:
 LDS/AcePerl-1.92.tar.gz                      : make_test NO
 CJFIELDS/Bio-ASN1-EntrezGene-1.70.tar.gz     : make_test NO
 CAPTTOFU/DBD-mysql-4.029.tar.gz              : writemakefile NO '/usr/bin/perl Makefile.PL 
and several more. missing packages etc and successfully installed except the above 3. Don't think i need those.

sudo apt-get install libgd-gd2-perl

cd bioperl-live 
 
perl Build.PL 
--fails - needs more modules


Configuring C/CJ/CJFIELDS/BioPerl-1.6.924.tar.gz with Build.PL
Checking prerequisites...
  recommends:

Algorithm::Munkres 
Array::Compare 
Bio::Phylo 
Convert::Binary::C 
GraphViz
HTML::TableExtract is not installed
PostScript::TextBlock is not installed
SOAP::Lite 
Net::SSLeay Crypt::SSLeay IO::Socket::SSL
Sort::Naturally 
XML::LibXML 
DBD::Pg 
DBD::SQLite
(all above installed via CPAN)

Checking optional features...
EntrezGene............disabled
  requires:
    ! Bio::ASN1::EntrezGene is not installed
 - starts installing bioperl 
i let it run and it installed Bioperl fine via CPAN.  build OK. 
Installed bio::asn1::entrezgene & bio::root::build
perl Build.PL
now needs Inline::C...
cpan>install Inline::C
 cd bioperl-live 

 perl Build.PL 
 -- fails. missing Manifest?
Build manifest
perl Build.PL --still fails
perl Build -- works
./Build test 
 --PASS
sudo ./Build install 

Installed / passed tests OK. 
Added;
export PERL5LIB="$HOME/bioperl-live:$PERL5LIB"
to .bashrc

So i've installed via CPAN which i didn't really want, but couldn't run Build.PL w/o prereq Bio::ASN1::EntrezGene which starts installing bioperl. What should i have done differently? 
i still did Build w/ Git clone, but when i check Version i get 1.006924. I thought the bioperl-live version was 1.006925? i set the environment variable in bashrc for bioperl-live. 
Ok, thanks for your time! Just want to make sure i'm doing this correctly. 
Shane
_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l

_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l


_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l




_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l
Reply | Threaded
Open this post in threaded view
|

Re: Properly installing Bioperl - Ubuntu - Git

Fields, Christopher J
That command checks out the ‘master’ branch by default.  You need to switch to the v1.6.x branch:

[cjfields@Chriss-MacBook-Pro bioperl-live (master)]$ git checkout -t origin/v1.6.x
Branch v1.6.x set up to track remote branch v1.6.x from origin.
Switched to a new branch 'v1.6.x’

chris

On Jan 17, 2015, at 11:40 AM, Shane McCoy <[hidden email]> wrote:

Hey Chris! 
Thanks for the update. I don't believe i'm using the master, i used: git clone <a rel="nofollow" class="" href="git://github.com/bioperl/bioperl-live.git" style="font-family:monospace,'Courier New';font-size:13px;line-height:1.3em;color:rgb(102,51,102);padding-right:13px">git://github.com/bioperl/bioperl-live.git
So the version is correct then? 1.006924 for the above git clone. 
thanks for your time!
shane

On Fri, Jan 16, 2015 at 3:30 PM, Fields, Christopher J <[hidden email]> wrote:
I’ve uploaded a new version of Bundle::BioPerl to CPAN (this removes Ace and Bio::ASN1::EntrezGene).  

One key thing: the ‘master’ branch on github is *not* the branch you want to check out from if you want stable code; you need the ‘v1.6.x’ branch.  We’re splitting out repositories from the main distribution (about 4 or so now), so if you try to run a typical installation it may not work as Bio::Root will be missing.  

chris

On Jan 16, 2015, at 10:42 AM, Liliana Maria Cano Mogrovejo <[hidden email]> wrote:

Hi Chris,

Thanks for looking into this! I am also experiencing the same problem encountered by Shane.

Thanks,

Lili

Liliana Cano, PhD.
Postdoctoral Research Associate
Dept. Plant Pathology
North Carolina State University
Raleigh, NC 27695, USA.
Phone: <a href="tel:%2B1-919-513-1280" value="&#43;19195131280" target="_blank" class=""> +1-919-513-1280
Mobile: <a href="tel:%2B1-919-703-6147" value="&#43;19197036147" target="_blank" class=""> +1-919-703-6147


On Jan 16, 2015, at 11:30 AM, Shane McCoy <[hidden email]> wrote:

Thanks Chris!
appreciate you looking into this
shane

On Thu, Jan 15, 2015 at 11:32 AM, Fields, Christopher J <[hidden email]> wrote:
Just an update on this; I contacted Chris D. and Bundle::BioPerl is now on github:


I’ll work on pushing a new release up to CPAN, will post back when that is done.

chris (f)

On Jan 14, 2015, at 2:14 PM, Fields, Christopher J <[hidden email]> wrote:

Bundle::BioPerl is out of date.  I’ll have to check in with Chris Dagdigian to see if we can update that, as it’s not on github.

Unless you are using NCBI and the ‘gene’ database, you won’t need Bio::ASN1::EntrezGene.  The latest CPAN releases for both should still resolve the circular dependency though; not sure why you are running into this problem.

The github master version should technically be ‘1.007000_001’ or similar, not ‘1.006925’.   I’ll have a look at that.

chris

On Jan 13, 2015, at 5:23 PM, Shane McCoy <[hidden email]> wrote:

Hello! 
Not too familiar w/ Bioperl and want to make sure i've properly installed on my VM ubuntu 14.4 server w/ git. 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get check
sudo apt-get autoclean

sudo apt-get install build-essential git gcc
sudo apt-get install libexpat1 expat
sudo apt-get install libgd-dev  (unable to locate libgd recommended on gmod.org/wiki/BioPerl Dependencies Outside perl)
sudo apt-get install libssl-dev
sudo apt-get install libpq-dev
sudo apt-get install libdb-dev libperl-dev
sudo apt-get install libgd-gd2-perl
sudo apt-get install libxml2
sudo apt-get install libxml2-dev

Installed local::lib manually for perl modules. Set environment path 
echo '[ $SHLVL -eq 1 ] && eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >>~/.bashrc

cpan> install Bundle::CPAN (archive::zip failed? pff!) 
cpan> install Bundle::BioPerl
Failed during this command:
 LDS/AcePerl-1.92.tar.gz                      : make_test NO
 CJFIELDS/Bio-ASN1-EntrezGene-1.70.tar.gz     : make_test NO
 CAPTTOFU/DBD-mysql-4.029.tar.gz              : writemakefile NO '/usr/bin/perl Makefile.PL 
and several more. missing packages etc and successfully installed except the above 3. Don't think i need those.

sudo apt-get install libgd-gd2-perl

cd bioperl-live 
 
perl Build.PL 
--fails - needs more modules


Configuring C/CJ/CJFIELDS/BioPerl-1.6.924.tar.gz with Build.PL
Checking prerequisites...
  recommends:

Algorithm::Munkres 
Array::Compare 
Bio::Phylo 
Convert::Binary::C 
GraphViz
HTML::TableExtract is not installed
PostScript::TextBlock is not installed
SOAP::Lite 
Net::SSLeay Crypt::SSLeay IO::Socket::SSL
Sort::Naturally 
XML::LibXML 
DBD::Pg 
DBD::SQLite
(all above installed via CPAN)

Checking optional features...
EntrezGene............disabled
  requires:
    ! Bio::ASN1::EntrezGene is not installed
 - starts installing bioperl 
i let it run and it installed Bioperl fine via CPAN.  build OK. 
Installed bio::asn1::entrezgene & bio::root::build
perl Build.PL
now needs Inline::C...
cpan>install Inline::C
 cd bioperl-live 

 perl Build.PL 
 -- fails. missing Manifest?
Build manifest
perl Build.PL --still fails
perl Build -- works
./Build test 
 --PASS
sudo ./Build install 

Installed / passed tests OK. 
Added;
export PERL5LIB="$HOME/bioperl-live:$PERL5LIB"
to .bashrc

So i've installed via CPAN which i didn't really want, but couldn't run Build.PL w/o prereq Bio::ASN1::EntrezGene which starts installing bioperl. What should i have done differently? 
i still did Build w/ Git clone, but when i check Version i get 1.006924. I thought the bioperl-live version was 1.006925? i set the environment variable in bashrc for bioperl-live. 
Ok, thanks for your time! Just want to make sure i'm doing this correctly. 
Shane
_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l

_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l


_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l





_______________________________________________
Bioperl-l mailing list
[hidden email]
http://mailman.open-bio.org/mailman/listinfo/bioperl-l